• Welcome to Simple Machines Community Forum. Please login or sign up.
December 09, 2021, 02:47:56 AM

News:

Bored?  Looking to kill some time?  Want to chat with other SMF users?  Join us in IRC chat or Discord


Quote feature no longer working 2.0.15

Started by Finn_958, October 24, 2021, 10:56:11 AM

Previous topic - Next topic

Finn_958

October 24, 2021, 10:56:11 AM Last Edit: October 24, 2021, 11:17:39 AM by Finn_958
Website: www.coscienzamaschile.com

Hi, the quote feature no longer works on my forum. You can try it without registering, please help:
1. What are the source code files involved?
2. Does it also involve the database?
It appears that the quote button "inserisci citazione" does not generate a correct link
All other features seem OK
Thanks

shadav

any errors in your admin logs
any errors in your server logs
are you using a custom theme? if so does this do this with the default theme?
what's the last modifications you did to your forum since last time the quote worked? try undoing them

also (the obligatory) please update to the latest stable version of smf (2.0.18)

Finn_958

Only one error on admin log on October 20 made by a visitor:

https://www.coscienzamaschile.com/index.php?topic=2263.0Applica filtro: Mostra solo gli errori con lo stesso messaggio8192: Array and string offset access syntax with curly braces is deprecatedApplica filtro: Mostra solo gli errori relativi a questo fileFile: /home/coscienz/public_html/Sources/Subs-Editor.php
Riga: 900

No modifications made since the issue occurred
No custom themes
Cannot update to 2.0.18 without losing many MODs. Another 2.0.1.5 forum on another server performs well
1-2 days ago I partially restored php files (not the database), so it's possible that some files are missing/corrupt.

The inserto quote buttton should generate a link like this:

index.php?action=post;quote=201754;topic=17858.0

Instead, it generates links like this:

index.php?action=post;topic=2727.0;last_msg=10710#postmodify

What are the files involved in the insert quote function?
Thanks


Finn_958

It has to do with Tapatalk plugin, which worked so far. I am now trying to update the mod but it gives the following errors:


shadav

uggg tapatalk....can't help there
never used that mod and yes I've heard it causes all sorts of issues
in my opinion it's not worth the hassle for all the issues that it creates, would be better to just uninstall the mod
but to update it or install it would need to know what each error is (it's looking for code that has already been altered by something else) and what it's looking for and what is actually there in that file

as for updating smf you can use the patches, one by one until you are up to date
https://custom.simplemachines.org/index.php?action=patches
download them and upload them to your packages folder and install them like a mod

depending on how heavily modified your forum is you may run into errors which you can post them and we can help you work them out so you can get updated :)

Finn_958

Thanks, If I update SMF I lose many MODS compatibilityso I stick to 2.0.15 for now.
Apparently I succeeded in updating Tapatalk but the tapatalk app no longer loads the forum. I submitted a ticket to them too

shadav

using the patches to update you won't lose any mods

Finn_958

Some mods are incompatible with the latest version

shadav

any mod that works on any version of 2.0.x should work with 2.0.18 (not saying that some changes may be needed)
which mods in question do you think are incompatible?

Illori

also you are at risk of your forum being hacked and it will not work with all the latest php versions we support and you may have issues if your host upgrades your php version.

Finn_958


Diego Andrés

If it works on 2.0, it probably works for any 2.0.x smf version, sometimes it just means the author/s haven't updated certain mod in a while.
You can always head to the support topic for any of the mods.

As for updating, when you install the patches you'd see if there are any errors during installation like any mod and you could ask for help in case you need it

SMF Tricks - Free & Premium Responsive Themes for SMF.

Finn_958

The 2.0.16 patch gives many errors although I did not uninstall any mods before installing the patch

Diego Andrés

You're not supposed to uninstall mods anyways.
You could share the errors that you're getting and perhaps the list of mods so we can take a look at it

SMF Tricks - Free & Premium Responsive Themes for SMF.

Finn_958

Here are the 2.0.16 patch failures:

Sostituisci   ./Sources/Subs.php   Test fallito


Diego Andrés

That's only for your custom theme? If that's the one from vbgamer you could ask for support on the web for that one.
Although I'd assume the latest version of that theme is already up to date assuming you installed it recently so wouldn't need to update it with the patches.

SMF Tricks - Free & Premium Responsive Themes for SMF.

Finn_958

This custom theme is paid and works as an app on smartphones. For updating, I should buy the new version but for now I would like Tapatalk to work and update only when obliged by php or similar.

shadav

as mentioned all the errors shown above were only for a specific theme

you could install either the Responsive Curve or the Hilbert mods on the default theme to make the default theme mobile friendly instead of using the theme in question

I mean it obviously is your choice not to update however that said, due note that you are using an outdated version with security issues

and as mentioned if your host decides to update php your forum will stop working
most hosts are dropping php 5.x, even php 7.2 is now obsolete

at some point you will inevitably have to update

as for the tapatalk mod, you will need to contact them for help, I don't believe they have a support thread here anymore due to too many security issues and they weren't keeping the mod or support for it here up to date.

Finn_958

I reinstalled the Tapatalk app on my phone and the issue was solved!
Thank you for your suggestions,I will use them when I will update the forum.
Just a quick suggestion about the new SMF grahpics: the new version has great functionalitites and design but too much grey, it's a bit dull. More blue like in the previous version would be better. I choose SMF mainly for its graphics, much more relaxing and pleasing than that of other forums :)

Finn_958

The problem occurred again even after uninstallin Tapatalk.
To fix it, please let me know which files are involved in the use of the quote buttons and i will try replacing them with backed up versions

Advertisement: